/* BEGIN software license
 *
 * MsXpertSuite - mass spectrometry software suite
 * -----------------------------------------------
 * Copyright(C) 2009,...,2018 Filippo Rusconi
 *
 * http://www.msxpertsuite.org
 *
 * This file is part of the MsXpertSuite project.
 *
 * The MsXpertSuite project is the successor of the massXpert project. This
 * project now includes various independent modules:
 *
 * - massXpert, model polymer chemistries and simulate mass spectrometric data;
 * - mineXpert, a powerful TIC chromatogram/mass spectrum viewer/miner;
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * END software license
 */


#pragma once


/////////////////////// Qt includes
#include <QString>
#include <QList>
#include <QDomElement>



/////////////////////// Local includes
#include "exportimportconfig.h"


namespace MsXpS
{

namespace libXpertMass
{

enum ChemicalGroupRuleFate
{
  LOST      = 0,
  PRESERVED = 1,
};


class DECLSPEC ChemicalGroupRule
{
  public:
  ChemicalGroupRule(QString               = QString(),
                    QString               = QString(),
                    ChemicalGroupRuleFate = ChemicalGroupRuleFate::LOST);
  ~ChemicalGroupRule()
  {
  }

  void setEntity(QString);
  QString entity();

  void setName(QString);
  QString name();

  void setFate(ChemicalGroupRuleFate);
  ChemicalGroupRuleFate fate();

  bool renderXmlElement(const QDomElement &element);

  protected:
  QString m_name;
  QString m_entity;

  ChemicalGroupRuleFate m_chemicalGroupFate;
};

} // namespace libXpertMass

} // namespace MsXpS
